/* A Bison parser, made by GNU Bison 3.6.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2020 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.6.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* First part of user prologue.  */
#line 16 "gram.y"

#include "./dbpmda.h"
#include "./lex.h"

extern int stmt_type;

static union {
    pmID	whole;
    __pmID_int	part;
} pmid;

static union {
    pmInDom		whole;
    __pmInDom_int	part;
} indom;


static int	sts;
static int	inst;
static char	*str;
#define MYWARNSTRSZ 80
static char	warnStr[MYWARNSTRSZ];

param_t	param;

/*
 * pmidp may contain a dynamic PMID ... if so, ask the PMDA to
 * translate name if possible
 */
static int
fix_dynamic_pmid(const char *name, pmID *pmidp)
{
    int		sts;
    __pmPDU	*pb;
    extern int	toPMDA;
    extern int	fromPMDA;
    extern pmdaInterface	dispatch;

    if (IS_DYNAMIC_ROOT(*pmidp)) {
	if (connmode == CONN_DSO) {
	    if (dispatch.comm.pmda_interface >= PMDA_INTERFACE_4) {
		sts = dispatch.version.four.pmid(name, pmidp, dispatch.version.four.ext);
		if (sts < 0) return sts;
	    }
	}
	else if (connmode == CONN_DAEMON) {
	    sts = __pmSendNameList(toPMDA, FROM_ANON, 1, &name, NULL);
	    if (sts < 0) return sts;
	    sts = __pmGetPDU(fromPMDA, ANY_SIZE, TIMEOUT_NEVER, &pb);
	    if (sts < 0) return sts;
	    if (sts == PDU_PMNS_IDS) {
		int	xsts;
		sts = __pmDecodeIDList(pb, 1, pmidp, &xsts);
		__pmUnpinPDUBuf(pb);
		if (sts < 0) return sts;
		return xsts;
	    }
	    else if (sts == PDU_ERROR) {
		__pmDecodeError(pb, &sts);
		__pmUnpinPDUBuf(pb);
		return sts;
	    }
	}
    }
    return 0;
}



#line 141 "gram.tab.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

/* Use api.header.include to #include this header
   instead of duplicating it here.  */
#ifndef YY_YY_GRAM_TAB_H_INCLUDED
# define YY_YY_GRAM_TAB_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int yydebug;
#endif

/* Token kinds.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    YYEMPTY = -2,
    YYEOF = 0,                     /* "end of file"  */
    YYerror = 256,                 /* error  */
    YYUNDEF = 257,                 /* "invalid token"  */
    NUMBER2D = 258,                /* NUMBER2D  */
    NUMBER3D = 259,                /* NUMBER3D  */
    NUMBER = 260,                  /* NUMBER  */
    NEGNUMBER = 261,               /* NEGNUMBER  */
    FLAG = 262,                    /* FLAG  */
    NAME = 263,                    /* NAME  */
    PATHNAME = 264,                /* PATHNAME  */
    MACRO = 265,                   /* MACRO  */
    STRING = 266,                  /* STRING  */
    NEGNAME = 267,                 /* NEGNAME  */
    COMMA = 268,                   /* COMMA  */
    EQUAL = 269,                   /* EQUAL  */
    OPEN = 270,                    /* OPEN  */
    CLOSE = 271,                   /* CLOSE  */
    DESC = 272,                    /* DESC  */
    GETDESC = 273,                 /* GETDESC  */
    GETINAME = 274,                /* GETINAME  */
    FETCH = 275,                   /* FETCH  */
    INSTANCE = 276,                /* INSTANCE  */
    PROFILE = 277,                 /* PROFILE  */
    HELP = 278,                    /* HELP  */
    WATCH = 279,                   /* WATCH  */
    DBG = 280,                     /* DBG  */
    QUIT = 281,                    /* QUIT  */
    STATUS = 282,                  /* STATUS  */
    STORE = 283,                   /* STORE  */
    INFO = 284,                    /* INFO  */
    TIMER = 285,                   /* TIMER  */
    NAMESPACE = 286,               /* NAMESPACE  */
    WAIT = 287,                    /* WAIT  */
    PMNS_NAME = 288,               /* PMNS_NAME  */
    PMNS_PMID = 289,               /* PMNS_PMID  */
    PMNS_CHILDREN = 290,           /* PMNS_CHILDREN  */
    PMNS_TRAVERSE = 291,           /* PMNS_TRAVERSE  */
    ATTR = 292,                    /* ATTR  */
    LABEL = 293,                   /* LABEL  */
    CTXT = 294,                    /* CTXT  */
    DOMAIN = 295,                  /* DOMAIN  */
    INDOM = 296,                   /* INDOM  */
    CLUSTER = 297,                 /* CLUSTER  */
    ITEM = 298,                    /* ITEM  */
    INSTANCES = 299,               /* INSTANCES  */
    DSO = 300,                     /* DSO  */
    PIPE = 301,                    /* PIPE  */
    SOCK = 302,                    /* SOCK  */
    UNIX = 303,                    /* UNIX  */
    INET = 304,                    /* INET  */
    IPV6 = 305,                    /* IPV6  */
    ADD = 306,                     /* ADD  */
    DEL = 307,                     /* DEL  */
    ALL = 308,                     /* ALL  */
    NONE = 309,                    /* NONE  */
    ON = 310,                      /* ON  */
    OFF = 311,                     /* OFF  */
    PLUS = 312,                    /* PLUS  */
    EOL = 313                      /* EOL  */
  };
  typedef enum yytokentype yytoken_kind_t;
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
union YYSTYPE
{
#line 86 "gram.y"

	char		*y_str;
	int		y_num;
	twodot_num      y_2num;
	threedot_num    y_3num;
	

#line 257 "gram.tab.c"

};
typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE yylval;

int yyparse (void);

#endif /* !YY_YY_GRAM_TAB_H_INCLUDED  */
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_NUMBER2D = 3,                   /* NUMBER2D  */
  YYSYMBOL_NUMBER3D = 4,                   /* NUMBER3D  */
  YYSYMBOL_NUMBER = 5,                     /* NUMBER  */
  YYSYMBOL_NEGNUMBER = 6,                  /* NEGNUMBER  */
  YYSYMBOL_FLAG = 7,                       /* FLAG  */
  YYSYMBOL_NAME = 8,                       /* NAME  */
  YYSYMBOL_PATHNAME = 9,                   /* PATHNAME  */
  YYSYMBOL_MACRO = 10,                     /* MACRO  */
  YYSYMBOL_STRING = 11,                    /* STRING  */
  YYSYMBOL_NEGNAME = 12,                   /* NEGNAME  */
  YYSYMBOL_COMMA = 13,                     /* COMMA  */
  YYSYMBOL_EQUAL = 14,                     /* EQUAL  */
  YYSYMBOL_OPEN = 15,                      /* OPEN  */
  YYSYMBOL_CLOSE = 16,                     /* CLOSE  */
  YYSYMBOL_DESC = 17,                      /* DESC  */
  YYSYMBOL_GETDESC = 18,                   /* GETDESC  */
  YYSYMBOL_GETINAME = 19,                  /* GETINAME  */
  YYSYMBOL_FETCH = 20,                     /* FETCH  */
  YYSYMBOL_INSTANCE = 21,                  /* INSTANCE  */
  YYSYMBOL_PROFILE = 22,                   /* PROFILE  */
  YYSYMBOL_HELP = 23,                      /* HELP  */
  YYSYMBOL_WATCH = 24,                     /* WATCH  */
  YYSYMBOL_DBG = 25,                       /* DBG  */
  YYSYMBOL_QUIT = 26,                      /* QUIT  */
  YYSYMBOL_STATUS = 27,                    /* STATUS  */
  YYSYMBOL_STORE = 28,                     /* STORE  */
  YYSYMBOL_INFO = 29,                      /* INFO  */
  YYSYMBOL_TIMER = 30,                     /* TIMER  */
  YYSYMBOL_NAMESPACE = 31,                 /* NAMESPACE  */
  YYSYMBOL_WAIT = 32,                      /* WAIT  */
  YYSYMBOL_PMNS_NAME = 33,                 /* PMNS_NAME  */
  YYSYMBOL_PMNS_PMID = 34,                 /* PMNS_PMID  */
  YYSYMBOL_PMNS_CHILDREN = 35,             /* PMNS_CHILDREN  */
  YYSYMBOL_PMNS_TRAVERSE = 36,             /* PMNS_TRAVERSE  */
  YYSYMBOL_ATTR = 37,                      /* ATTR  */
  YYSYMBOL_LABEL = 38,                     /* LABEL  */
  YYSYMBOL_CTXT = 39,                      /* CTXT  */
  YYSYMBOL_DOMAIN = 40,                    /* DOMAIN  */
  YYSYMBOL_INDOM = 41,                     /* INDOM  */
  YYSYMBOL_CLUSTER = 42,                   /* CLUSTER  */
  YYSYMBOL_ITEM = 43,                      /* ITEM  */
  YYSYMBOL_INSTANCES = 44,                 /* INSTANCES  */
  YYSYMBOL_DSO = 45,                       /* DSO  */
  YYSYMBOL_PIPE = 46,                      /* PIPE  */
  YYSYMBOL_SOCK = 47,                      /* SOCK  */
  YYSYMBOL_UNIX = 48,                      /* UNIX  */
  YYSYMBOL_INET = 49,                      /* INET  */
  YYSYMBOL_IPV6 = 50,                      /* IPV6  */
  YYSYMBOL_ADD = 51,                       /* ADD  */
  YYSYMBOL_DEL = 52,                       /* DEL  */
  YYSYMBOL_ALL = 53,                       /* ALL  */
  YYSYMBOL_NONE = 54,                      /* NONE  */
  YYSYMBOL_ON = 55,                        /* ON  */
  YYSYMBOL_OFF = 56,                       /* OFF  */
  YYSYMBOL_PLUS = 57,                      /* PLUS  */
  YYSYMBOL_EOL = 58,                       /* EOL  */
  YYSYMBOL_YYACCEPT = 59,                  /* $accept  */
  YYSYMBOL_stmt = 60,                      /* stmt  */
  YYSYMBOL_fname = 61,                     /* fname  */
  YYSYMBOL_optdomain = 62,                 /* optdomain  */
  YYSYMBOL_attribute = 63,                 /* attribute  */
  YYSYMBOL_servport = 64,                  /* servport  */
  YYSYMBOL_metric = 65,                    /* metric  */
  YYSYMBOL_cluster = 66,                   /* cluster  */
  YYSYMBOL_indom = 67,                     /* indom  */
  YYSYMBOL_raw_pmid = 68,                  /* raw_pmid  */
  YYSYMBOL_metriclist = 69,                /* metriclist  */
  YYSYMBOL_arglist = 70,                   /* arglist  */
  YYSYMBOL_inst = 71,                      /* inst  */
  YYSYMBOL_debug = 72,                     /* debug  */
  YYSYMBOL_flag = 73                       /* flag  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_uint8 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && ! defined __ICC && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                            \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if !defined yyoverflow

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* !defined yyoverflow */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  128
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   259

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  59
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  15
/* YYNRULES -- Number of rules.  */
#define YYNRULES  128
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  231

#define YYMAXUTOK   313


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   138,   138,   142,   146,   150,   154,   158,   162,   166,
     169,   173,   177,   181,   184,   188,   193,   197,   202,   207,
     211,   217,   223,   229,   233,   243,   253,   264,   275,   279,
     283,   287,   291,   295,   299,   303,   307,   311,   315,   319,
     323,   328,   333,   337,   341,   345,   350,   355,   360,   366,
     370,   374,   378,   382,   386,   390,   394,   398,   402,   406,
     410,   414,   418,   422,   426,   430,   434,   438,   442,   446,
     450,   454,   458,   463,   464,   468,   477,   486,   489,   492,
     496,   499,   502,   506,   509,   512,   516,   519,   522,   526,
     529,   530,   540,   551,   554,   555,   558,   567,   578,   579,
     592,   604,   618,   633,   648,   652,   660,   664,   668,   676,
     685,   686,   687,   691,   694,   695,   698,   709,   721,   732,
     743,   755,   774,   775,   776,   777,   778,   779,   780
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if YYDEBUG || 0
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "NUMBER2D", "NUMBER3D",
  "NUMBER", "NEGNUMBER", "FLAG", "NAME", "PATHNAME", "MACRO", "STRING",
  "NEGNAME", "COMMA", "EQUAL", "OPEN", "CLOSE", "DESC", "GETDESC",
  "GETINAME", "FETCH", "INSTANCE", "PROFILE", "HELP", "WATCH", "DBG",
  "QUIT", "STATUS", "STORE", "INFO", "TIMER", "NAMESPACE", "WAIT",
  "PMNS_NAME", "PMNS_PMID", "PMNS_CHILDREN", "PMNS_TRAVERSE", "ATTR",
  "LABEL", "CTXT", "DOMAIN", "INDOM", "CLUSTER", "ITEM", "INSTANCES",
  "DSO", "PIPE", "SOCK", "UNIX", "INET", "IPV6", "ADD", "DEL", "ALL",
  "NONE", "ON", "OFF", "PLUS", "EOL", "$accept", "stmt", "fname",
  "optdomain", "attribute", "servport", "metric", "cluster", "indom",
  "raw_pmid", "metriclist", "arglist", "inst", "debug", "flag", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_int16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313
};
#endif

#define YYPACT_NINF (-92)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-1)

#define yytable_value_is_error(Yyn) \
  0

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     132,    16,   -12,    17,    22,    34,    23,    33,    39,   167,
      21,    45,    -7,     1,    29,     2,    68,   108,    13,     0,
      27,    46,    48,    12,   175,   -92,    76,   108,   108,    64,
     -92,   -92,   -92,   -92,   -92,   -92,   -92,    10,    25,    47,
     -92,    49,    51,   -92,   -92,   -92,    11,   -92,   -92,   -92,
     -92,    44,   -92,    85,    53,    62,    70,    75,    83,    86,
      87,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   149,   150,   152,   153,   154,   -92,   -92,   -92,
     -92,   162,   -92,   -92,   -92,   -92,   -92,   -92,   -92,   -92,
     164,   166,   -92,    88,   -92,   -92,   -92,   -92,   111,   137,
     -92,   168,   169,   170,   -92,   171,   172,   -92,   -92,   -92,
     173,   174,   -92,   176,   -92,   177,   -92,   -92,   -92,   -92,
      37,   178,   179,   137,    61,   127,   137,   -92,   -92,   231,
     -92,   108,    36,    36,   -92,   -92,   -92,   -92,   -92,   -92,
     127,   -92,   -92,   183,   -92,   -92,   -92,   185,   239,   240,
     188,   189,   -92,   -92,   -92,   -92,   -92,   -92,   -92,   -92,
     -92,   -92,   -92,   -92,   -92,   -92,   -92,   -92,   -92,   -92,
     -92,   -92,   -92,   -92,   -92,   -92,   -92,   -92,   -92,   201,
     -92,   -92,   190,   191,   -92,   -92,   -92,   -92,   -92,   -92,
     -92,   -92,   -92,   192,   -92,   -92,   -92,   193,   -92,   -92,
     194,   195,   196,   250,   -92,   -92,   -92,   -92,   -92,   -92,
     -92,   -92,   -92,   198,   199,   -92,   -92,   -92,   -92,   -92,
     -92,   -92,   -92,   -92,   -92,   -92,   -92,   200,   -92,   -92,
     -92
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint8 yydefact[] =
{
      91,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    90,     0,     0,     0,     0,
       2,     9,   101,   102,   100,   103,    10,     0,     0,     0,
      82,     0,     0,    85,    12,   110,     0,   108,   106,   107,
      19,     0,    23,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    49,    92,    93,
      28,     0,   116,   122,   123,   124,   125,   128,   126,   127,
       0,     0,    74,     0,   117,    73,    78,    14,     0,     0,
      16,     0,     0,     0,    79,     0,     0,    88,   109,    30,
       0,     0,    32,     0,    34,     0,    36,    96,    97,    39,
       0,     0,     0,     0,     0,     0,     0,    42,     1,     0,
     113,     0,     0,     0,     5,    11,    83,    84,    86,    87,
       0,    13,   111,     0,   115,   114,    20,     0,     0,     0,
       0,     0,    61,    51,    53,    55,    56,    54,    58,    66,
      72,    52,    67,    68,    69,    57,    70,    60,    71,    63,
      64,    62,    65,    50,    59,    29,    75,    76,   118,     0,
      77,   120,     0,     0,    17,    80,    81,    38,    89,    31,
      33,    35,    37,     0,    40,    43,    44,     0,   105,   104,
       0,     0,     0,    95,     4,     6,    98,    99,     7,     8,
     112,    21,    22,     0,     0,    24,    25,   119,   121,    15,
      18,    41,    45,    46,    47,    48,    94,     0,    26,    27,
       3
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int8 yypgoto[] =
{
     -92,   -92,   -16,   -92,   -92,   126,    -6,   -92,    -5,   -92,
     -92,   -92,   -92,   -92,   -91
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    26,    81,   227,   120,   208,    37,   200,    51,   110,
      46,   204,   147,    93,    94
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_uint8 yytable[] =
{
      45,   105,   181,    53,   108,    32,    33,    34,    98,   101,
      35,   129,   130,   134,    32,    33,    34,   117,   106,    35,
      32,    33,    34,   118,   140,    35,    32,    33,    34,    78,
      79,    35,    32,    33,    34,   111,    47,    35,    48,    49,
     142,   206,    47,    99,    48,    49,    31,   207,   193,   143,
      82,    95,   144,    83,   113,   145,   115,    84,   109,    96,
     100,    27,    28,    29,   198,    85,   199,    86,   135,   141,
     119,   107,    78,    79,    30,    36,   128,    38,    39,    80,
      40,    44,    87,   136,    88,   112,    89,    97,   218,    41,
      42,    50,    43,   178,   183,   194,    83,    52,    90,    91,
      84,   179,   146,    92,   114,   137,   116,   138,    85,   139,
      86,   152,   131,   132,   133,   205,    78,    79,   197,   201,
     153,   202,   182,   102,   103,    87,   104,    88,   154,    89,
      32,    33,    34,   155,   210,    35,   148,   149,   150,   151,
      47,   156,    48,    49,   157,   158,   180,     1,     2,     3,
       4,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    54,    55,    56,    57,    58,    59,    60,    61,
      25,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,   217,   170,   171,    83,
     172,   173,   174,    84,   121,   122,   123,   124,   125,   126,
     175,    85,   176,    86,   177,    77,   184,   185,   186,   187,
     188,   189,   190,   127,   191,   192,   195,   196,    87,   203,
      88,   211,    89,   212,   213,   214,   215,   216,   219,   220,
     221,   222,   223,   224,   225,   226,   228,   229,   230,   209
};

static const yytype_uint8 yycheck[] =
{
       6,    17,    93,     8,     4,     3,     4,     5,    14,    15,
       8,    27,    28,    29,     3,     4,     5,     5,     5,     8,
       3,     4,     5,    11,    13,     8,     3,     4,     5,     8,
       9,     8,     3,     4,     5,     8,     3,     8,     5,     6,
      46,     5,     3,    41,     5,     6,    58,    11,    11,     5,
       5,    58,     8,     8,     8,    11,     8,    12,    58,    58,
      58,    45,    46,    47,     3,    20,     5,    22,    58,    58,
      58,    58,     8,     9,    58,    58,     0,    55,    56,    58,
      58,    58,    37,    58,    39,    58,    41,    58,   179,    55,
      56,    58,    58,     5,    99,    58,     8,    58,    53,    54,
      12,    13,    58,    58,    58,    58,    58,    58,    20,    58,
      22,    58,    48,    49,    50,   131,     8,     9,   123,   125,
      58,   126,    11,    55,    56,    37,    58,    39,    58,    41,
       3,     4,     5,    58,   140,     8,    51,    52,    53,    54,
       3,    58,     5,     6,    58,    58,    58,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    15,    16,    17,    18,    19,    20,    21,    22,
      58,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,     5,    58,    58,     8,
      58,    58,    58,    12,    39,    40,    41,    42,    43,    44,
      58,    20,    58,    22,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    37,     8,
      39,    58,    41,    58,     5,     5,    58,    58,    58,    58,
      58,    58,    58,    58,    58,     5,    58,    58,    58,   133
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_int8 yystos[] =
{
       0,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    58,    60,    45,    46,    47,
      58,    58,     3,     4,     5,     8,    58,    65,    55,    56,
      58,    55,    56,    58,    58,    65,    69,     3,     5,     6,
      58,    67,    58,    67,    15,    16,    17,    18,    19,    20,
      21,    22,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    58,     8,     9,
      58,    61,     5,     8,    12,    20,    22,    37,    39,    41,
      53,    54,    58,    72,    73,    58,    58,    58,    65,    41,
      58,    65,    55,    56,    58,    61,     5,    58,     4,    58,
      68,     8,    58,     8,    58,     8,    58,     5,    11,    58,
      63,    39,    40,    41,    42,    43,    44,    58,     0,    61,
      61,    48,    49,    50,    61,    58,    58,    58,    58,    58,
      13,    58,    65,     5,     8,    11,    58,    71,    51,    52,
      53,    54,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,     5,    13,
      58,    73,    11,    67,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    11,    58,    58,    58,    67,     3,     5,
      66,    65,    67,     8,    70,    61,     5,    11,    64,    64,
      65,    58,    58,     5,     5,    58,    58,     5,    73,    58,
      58,    58,    58,    58,    58,    58,     5,    62,    58,    58,
      58
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_int8 yyr1[] =
{
       0,    59,    60,    60,    60,    60,    60,    60,    60,    60,
      60,    60,    60,    60,    60,    60,    60,    60,    60,    60,
      60,    60,    60,    60,    60,    60,    60,    60,    60,    60,
      60,    60,    60,    60,    60,    60,    60,    60,    60,    60,
      60,    60,    60,    60,    60,    60,    60,    60,    60,    60,
      60,    60,    60,    60,    60,    60,    60,    60,    60,    60,
      60,    60,    60,    60,    60,    60,    60,    60,    60,    60,
      60,    60,    60,    60,    60,    60,    60,    60,    60,    60,
      60,    60,    60,    60,    60,    60,    60,    60,    60,    60,
      60,    60,    61,    61,    62,    62,    63,    63,    64,    64,
      65,    65,    65,    65,    66,    66,    67,    67,    67,    68,
      69,    69,    69,    70,    71,    71,    72,    72,    72,    72,
      72,    72,    73,    73,    73,    73,    73,    73,    73
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     2,     6,     4,     3,     4,     4,     4,     2,
       2,     3,     2,     3,     2,     4,     2,     3,     4,     2,
       3,     4,     4,     2,     4,     4,     5,     5,     2,     3,
       2,     3,     2,     3,     2,     3,     2,     3,     3,     2,
       3,     4,     2,     3,     3,     4,     4,     4,     4,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     2,     2,     3,     3,     3,     2,     2,
       3,     3,     2,     3,     3,     2,     3,     3,     2,     3,
       1,     0,     1,     1,     1,     0,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     3,     0,     1,     1,     1,     1,     2,     3,
       2,     3,     1,     1,     1,     1,     1,     1,     1
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
# ifndef YY_LOCATION_PRINT
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif


# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  FILE *yyoutput = yyo;
  YYUSE (yyoutput);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yykind < YYNTOKENS)
    YYPRINT (yyo, yytoknum[yykind], *yyvaluep);
# endif
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)]);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif






/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize;

    /* The state stack.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss;
    yy_state_t *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;



#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yynerrs = 0;
  yystate = 0;
  yyerrstatus = 0;

  yystacksize = YYINITDEPTH;
  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;


  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    goto yyexhaustedlab;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 2:
#line 138 "gram.y"
                                                {
		param.number = OPEN; param.pmid = HELP_USAGE;
		stmt_type = HELP; YYACCEPT;
	    }
#line 1480 "gram.tab.c"
    break;

  case 3:
#line 142 "gram.y"
                                                {
		opendso((yyvsp[-3].y_str), (yyvsp[-2].y_str), (yyvsp[-1].y_num));
		stmt_type = OPEN; YYACCEPT;
	    }
#line 1489 "gram.tab.c"
    break;

  case 4:
#line 146 "gram.y"
                                                {
		openpmda((yyvsp[-1].y_str));
		stmt_type = OPEN; YYACCEPT;
	    }
#line 1498 "gram.tab.c"
    break;

  case 5:
#line 150 "gram.y"
                                                {
		open_unix_socket((yyvsp[0].y_str));
		stmt_type = OPEN; YYACCEPT;
	    }
#line 1507 "gram.tab.c"
    break;

  case 6:
#line 154 "gram.y"
                                                {
		open_unix_socket((yyvsp[0].y_str));
		stmt_type = OPEN; YYACCEPT;
	    }
#line 1516 "gram.tab.c"
    break;

  case 7:
#line 158 "gram.y"
                                                {
		open_inet_socket((yyvsp[0].y_num));
		stmt_type = OPEN; YYACCEPT;
	    }
#line 1525 "gram.tab.c"
    break;

  case 8:
#line 162 "gram.y"
                                                {
		open_ipv6_socket((yyvsp[0].y_num));
		stmt_type = OPEN; YYACCEPT;
	    }
#line 1534 "gram.tab.c"
    break;

  case 9:
#line 166 "gram.y"
                                                { 
		stmt_type = CLOSE; YYACCEPT; 
	    }
#line 1542 "gram.tab.c"
    break;

  case 10:
#line 169 "gram.y"
                                                {
		param.number = DESC; param.pmid = HELP_USAGE;
		stmt_type = HELP; YYACCEPT;
	    }
#line 1551 "gram.tab.c"
    break;

  case 11:
#line 173 "gram.y"
                                                {
		param.pmid = (yyvsp[-1].y_num);
		stmt_type = DESC; YYACCEPT;
	    }
#line 1560 "gram.tab.c"
    break;

  case 12:
#line 177 "gram.y"
                                                {
		param.number = FETCH; param.pmid = HELP_USAGE;
		stmt_type = HELP; YYACCEPT;
	    }
#line 1569 "gram.tab.c"
    break;

  case 13:
#line 181 "gram.y"
                                                { 
		stmt_type = FETCH; YYACCEPT; 
	    }
#line 1577 "gram.tab.c"
    break;

  case 14:
#line 184 "gram.y"
                                                {
		param.number = STORE; param.pmid = HELP_USAGE;
		stmt_type = HELP; YYACCEPT;
	    }
#line 1586 "gram.tab.c"
    break;

  case 15:
#line 188 "gram.y"
                                                {
		param.name = (yyvsp[-1].y_str);
		param.pmid = (pmID)(yyvsp[-2].y_num);
		stmt_type = STORE; YYACCEPT;
	    }
#line 1596 "gram.tab.c"
    break;

  case 16:
#line 193 "gram.y"
                                                {
		param.number = INFO; param.pmid = HELP_USAGE;
		stmt_type = HELP; YYACCEPT;
	    }
#line 1605 "gram.tab.c"
    break;

  case 17:
#line 197 "gram.y"
                                                {
		param.number = PM_TEXT_PMID;
		param.pmid = (pmID)(yyvsp[-1].y_num);
		stmt_type = INFO; YYACCEPT;
	    }
#line 1615 "gram.tab.c"
    break;

  case 18:
#line 202 "gram.y"
                                                {
		param.number = PM_TEXT_INDOM;
		param.indom = indom.whole;
		stmt_type = INFO; YYACCEPT;
	    }
#line 1625 "gram.tab.c"
    break;

  case 19:
#line 207 "gram.y"
                                                {
		param.number = INSTANCE; param.pmid = HELP_USAGE;
		stmt_type = HELP; YYACCEPT;
	    }
#line 1634 "gram.tab.c"
    break;

  case 20:
#line 211 "gram.y"
                                                {
		param.indom = indom.whole;
		param.number = PM_IN_NULL;
		param.name = NULL;
		stmt_type = INSTANCE; YYACCEPT;
	    }
#line 1645 "gram.tab.c"
    break;

  case 21:
#line 217 "gram.y"
                                                {
		param.indom = indom.whole;
		param.number = (yyvsp[-1].y_num);
		param.name = NULL;
		stmt_type = INSTANCE; YYACCEPT;
	    }
#line 1656 "gram.tab.c"
    break;

  case 22:
#line 223 "gram.y"
                                                {
		param.indom = indom.whole;
		param.number = PM_IN_NULL;
		param.name = (yyvsp[-1].y_str);
		stmt_type = INSTANCE; YYACCEPT;
	    }
#line 1667 "gram.tab.c"
    break;

  case 23:
#line 229 "gram.y"
                                                {
		param.number = PROFILE; param.pmid = HELP_USAGE;
		stmt_type = HELP; YYACCEPT;
	    }
#line 1676 "gram.tab.c"
    break;

  case 24:
#line 233 "gram.y"
                                                {
		sts = pmAddProfile((yyvsp[-2].y_num), 0, NULL);
		if (sts < 0) {
		    yyerror(pmErrStr(sts));
		    YYERROR;
		}
		profile_changed = 1;
		stmt_type = EOL;
		YYACCEPT;
	    }
#line 1691 "gram.tab.c"
    break;

  case 25:
#line 243 "gram.y"
                                                {
		sts = pmDelProfile((yyvsp[-2].y_num), 0, NULL);
		if (sts < 0) {
		    yyerror(pmErrStr(sts));
		    YYERROR;
		}
		profile_changed = 1;
		stmt_type = EOL;
		YYACCEPT;
	    }
#line 1706 "gram.tab.c"
    break;

  case 26:
#line 253 "gram.y"
                                                {
		inst = (yyvsp[-1].y_num);
		sts = pmAddProfile((yyvsp[-3].y_num), 1, &inst);
		if (sts < 0) {
		    yyerror(pmErrStr(sts));
		    YYERROR;
		}
		profile_changed = 1;
		stmt_type = EOL;
		YYACCEPT;
	    }
#line 1722 "gram.tab.c"
    break;

  case 27:
#line 264 "gram.y"
                                                {
		inst = (yyvsp[-1].y_num);
		sts = pmDelProfile((yyvsp[-3].y_num), 1, &inst);
		if (sts < 0) {
		    yyerror(pmErrStr(sts));
		    YYERROR;
		}
		profile_changed = 1;
		stmt_type = EOL;
		YYACCEPT;
	    }
#line 1738 "gram.tab.c"
    break;

  case 28:
#line 275 "gram.y"
                                                {
		param.number = WATCH; param.pmid = HELP_USAGE;
		stmt_type = HELP; YYACCEPT;
	    }
#line 1747 "gram.tab.c"
    break;

  case 29:
#line 279 "gram.y"
                                                {
		watch((yyvsp[-1].y_str));
		stmt_type = WATCH; YYACCEPT;
	    }
#line 1756 "gram.tab.c"
    break;

  case 30:
#line 283 "gram.y"
                                                {
		param.number = PMNS_NAME; param.pmid = HELP_USAGE;
		stmt_type = HELP; YYACCEPT;
	    }
#line 1765 "gram.tab.c"
    break;

  case 31:
#line 287 "gram.y"
                                                {
		param.pmid = (yyvsp[-1].y_num);
		stmt_type = PMNS_NAME; YYACCEPT;
	    }
#line 1774 "gram.tab.c"
    break;

  case 32:
#line 291 "gram.y"
                                                {
		param.number = PMNS_PMID; param.pmid = HELP_USAGE;
		stmt_type = HELP; YYACCEPT;
	    }
#line 1783 "gram.tab.c"
    break;

  case 33:
#line 295 "gram.y"
                                                {
		param.name = (yyvsp[-1].y_str);
		stmt_type = PMNS_PMID; YYACCEPT;
	    }
#line 1792 "gram.tab.c"
    break;

  case 34:
#line 299 "gram.y"
                                                {
		param.number = PMNS_CHILDREN; param.pmid = HELP_USAGE;
		stmt_type = HELP; YYACCEPT;
	    }
#line 1801 "gram.tab.c"
    break;

  case 35:
#line 303 "gram.y"
                                                {
		param.name = (yyvsp[-1].y_str);
		stmt_type = PMNS_CHILDREN; YYACCEPT;
	    }
#line 1810 "gram.tab.c"
    break;

  case 36:
#line 307 "gram.y"
                                                {
		param.number = PMNS_TRAVERSE; param.pmid = HELP_USAGE;
		stmt_type = HELP; YYACCEPT;
	    }
#line 1819 "gram.tab.c"
    break;

  case 37:
#line 311 "gram.y"
                                                {
		param.name = (yyvsp[-1].y_str);
		stmt_type = PMNS_TRAVERSE; YYACCEPT;
	    }
#line 1828 "gram.tab.c"
    break;

  case 38:
#line 315 "gram.y"
                                                {
		param.name = (yyvsp[-1].y_str);
		stmt_type = NAMESPACE; YYACCEPT;
	    }
#line 1837 "gram.tab.c"
    break;

  case 39:
#line 319 "gram.y"
                                                {
		param.number = ATTR; param.pmid = HELP_USAGE;
		stmt_type = HELP; YYACCEPT;
	    }
#line 1846 "gram.tab.c"
    break;

  case 40:
#line 323 "gram.y"
                                                {
		param.number = (yyvsp[-1].y_num);
		param.name = NULL;
		stmt_type = ATTR; YYACCEPT;
	    }
#line 1856 "gram.tab.c"
    break;

  case 41:
#line 328 "gram.y"
                                                {
		param.number = (yyvsp[-2].y_num);
		param.name = (yyvsp[-1].y_str);
		stmt_type = ATTR; YYACCEPT;
	    }
#line 1866 "gram.tab.c"
    break;

  case 42:
#line 333 "gram.y"
                                                {
		param.number = LABEL; param.pmid = HELP_USAGE;
		stmt_type = HELP; YYACCEPT;
	    }
#line 1875 "gram.tab.c"
    break;

  case 43:
#line 337 "gram.y"
                                                {
		param.number = PM_LABEL_CONTEXT;
		stmt_type = LABEL; YYACCEPT;
	    }
#line 1884 "gram.tab.c"
    break;

  case 44:
#line 341 "gram.y"
                                                {
		param.number = PM_LABEL_DOMAIN;
		stmt_type = LABEL; YYACCEPT;
	    }
#line 1893 "gram.tab.c"
    break;

  case 45:
#line 345 "gram.y"
                                                {
		param.number = PM_LABEL_INDOM;
		param.indom = indom.whole;
		stmt_type = LABEL; YYACCEPT;
	    }
#line 1903 "gram.tab.c"
    break;

  case 46:
#line 350 "gram.y"
                                                {
		param.number = PM_LABEL_CLUSTER;
		param.pmid = (pmID)(yyvsp[-1].y_num);
		stmt_type = LABEL; YYACCEPT;
	    }
#line 1913 "gram.tab.c"
    break;

  case 47:
#line 355 "gram.y"
                                                {
		param.number = PM_LABEL_ITEM;
		param.pmid = (pmID)(yyvsp[-1].y_num);
		stmt_type = LABEL; YYACCEPT;
	    }
#line 1923 "gram.tab.c"
    break;

  case 48:
#line 360 "gram.y"
                                                {
		param.number = PM_LABEL_INSTANCES;
		param.indom = indom.whole;
		stmt_type = LABEL; YYACCEPT;
	    }
#line 1933 "gram.tab.c"
    break;

  case 49:
#line 366 "gram.y"
                                                { 
		param.number = -1; param.pmid = HELP_FULL; 
		stmt_type = HELP; YYACCEPT; 
	    }
#line 1942 "gram.tab.c"
    break;

  case 50:
#line 370 "gram.y"
                                                {
		param.number = ATTR; param.pmid = HELP_FULL; 
		stmt_type = HELP; YYACCEPT;
	    }
#line 1951 "gram.tab.c"
    break;

  case 51:
#line 374 "gram.y"
                                                {
		param.number = CLOSE; param.pmid = HELP_FULL; 
		stmt_type = HELP; YYACCEPT;
	    }
#line 1960 "gram.tab.c"
    break;

  case 52:
#line 378 "gram.y"
                                                {
		param.number = DBG; param.pmid = HELP_FULL; 
		stmt_type = HELP; YYACCEPT;
	    }
#line 1969 "gram.tab.c"
    break;

  case 53:
#line 382 "gram.y"
                                                {
		param.number = DESC; param.pmid = HELP_FULL; 
		stmt_type = HELP; YYACCEPT;
	    }
#line 1978 "gram.tab.c"
    break;

  case 54:
#line 386 "gram.y"
                                                {
		param.number = FETCH; param.pmid = HELP_FULL; 
		stmt_type = HELP; YYACCEPT;
	    }
#line 1987 "gram.tab.c"
    break;

  case 55:
#line 390 "gram.y"
                                                {
		param.number = GETDESC; param.pmid = HELP_FULL; 
		stmt_type = HELP; YYACCEPT;
	    }
#line 1996 "gram.tab.c"
    break;

  case 56:
#line 394 "gram.y"
                                                {
		param.number = GETINAME; param.pmid = HELP_FULL; 
		stmt_type = HELP; YYACCEPT;
	    }
#line 2005 "gram.tab.c"
    break;

  case 57:
#line 398 "gram.y"
                                                {
		param.number = INFO; param.pmid = HELP_FULL;
		stmt_type = HELP; YYACCEPT;
	    }
#line 2014 "gram.tab.c"
    break;

  case 58:
#line 402 "gram.y"
                                                {
		param.number = INSTANCE; param.pmid = HELP_FULL; 
		stmt_type = HELP; YYACCEPT;
	    }
#line 2023 "gram.tab.c"
    break;

  case 59:
#line 406 "gram.y"
                                                {
		param.number = LABEL; param.pmid = HELP_FULL; 
		stmt_type = HELP; YYACCEPT;
	    }
#line 2032 "gram.tab.c"
    break;

  case 60:
#line 410 "gram.y"
                                                {
		param.number = NAMESPACE; param.pmid = HELP_FULL; 
		stmt_type = HELP; YYACCEPT;
	    }
#line 2041 "gram.tab.c"
    break;

  case 61:
#line 414 "gram.y"
                                                {
		param.number = OPEN; param.pmid = HELP_FULL; 
		stmt_type = HELP; YYACCEPT;
	    }
#line 2050 "gram.tab.c"
    break;

  case 62:
#line 418 "gram.y"
                                                {
		param.number = PMNS_CHILDREN; param.pmid = HELP_FULL; 
		stmt_type = HELP; YYACCEPT;
	    }
#line 2059 "gram.tab.c"
    break;

  case 63:
#line 422 "gram.y"
                                                {
		param.number = PMNS_NAME; param.pmid = HELP_FULL; 
		stmt_type = HELP; YYACCEPT;
	    }
#line 2068 "gram.tab.c"
    break;

  case 64:
#line 426 "gram.y"
                                                {
		param.number = PMNS_PMID; param.pmid = HELP_FULL; 
		stmt_type = HELP; YYACCEPT;
	    }
#line 2077 "gram.tab.c"
    break;

  case 65:
#line 430 "gram.y"
                                                {
		param.number = PMNS_TRAVERSE; param.pmid = HELP_FULL; 
		stmt_type = HELP; YYACCEPT;
	    }
#line 2086 "gram.tab.c"
    break;

  case 66:
#line 434 "gram.y"
                                                {
		param.number = PROFILE; param.pmid = HELP_FULL; 
		stmt_type = HELP; YYACCEPT;
	    }
#line 2095 "gram.tab.c"
    break;

  case 67:
#line 438 "gram.y"
                                                {
		param.number = QUIT; param.pmid = HELP_FULL; 
		stmt_type = HELP; YYACCEPT;
	    }
#line 2104 "gram.tab.c"
    break;

  case 68:
#line 442 "gram.y"
                                                {
		param.number = STATUS; param.pmid = HELP_FULL; 
		stmt_type = HELP; YYACCEPT;
	    }
#line 2113 "gram.tab.c"
    break;

  case 69:
#line 446 "gram.y"
                                                {
		param.number = STORE; param.pmid = HELP_FULL; 
		stmt_type = HELP; YYACCEPT;
	    }
#line 2122 "gram.tab.c"
    break;

  case 70:
#line 450 "gram.y"
                                                        {
		param.number = TIMER; param.pmid = HELP_FULL;
		stmt_type = HELP; YYACCEPT;
	    }
#line 2131 "gram.tab.c"
    break;

  case 71:
#line 454 "gram.y"
                                                {
		param.number = WAIT; param.pmid = HELP_FULL;
		stmt_type = HELP; YYACCEPT;
	    }
#line 2140 "gram.tab.c"
    break;

  case 72:
#line 458 "gram.y"
                                                {
		param.number = WATCH; param.pmid = HELP_FULL; 
		stmt_type = HELP; YYACCEPT;
	    }
#line 2149 "gram.tab.c"
    break;

  case 73:
#line 463 "gram.y"
                                                { stmt_type = QUIT; YYACCEPT; }
#line 2155 "gram.tab.c"
    break;

  case 74:
#line 464 "gram.y"
                                                {
		param.number = DBG; param.pmid = HELP_USAGE; 
		stmt_type = HELP; YYACCEPT;
	    }
#line 2164 "gram.tab.c"
    break;

  case 75:
#line 468 "gram.y"
                                                {
		sts = pmSetDebug("all");
		if (sts < 0) {
		    pmsprintf(warnStr, MYWARNSTRSZ, "pmSetDebug(\"all\") failed\n");
		    yywarn(warnStr);
		    YYERROR;
		}
		stmt_type = DBG; YYACCEPT;
	    }
#line 2178 "gram.tab.c"
    break;

  case 76:
#line 477 "gram.y"
                                                {
		sts = pmClearDebug("all");
		if (sts < 0) {
		    pmsprintf(warnStr, MYWARNSTRSZ, "pmClearDebug(\"all\") failed\n");
		    yywarn(warnStr);
		    YYERROR;
		}
		stmt_type = DBG; YYACCEPT;
	    }
#line 2192 "gram.tab.c"
    break;

  case 77:
#line 486 "gram.y"
                                                {
	        stmt_type = DBG; YYACCEPT;
	    }
#line 2200 "gram.tab.c"
    break;

  case 78:
#line 489 "gram.y"
                                                { 
		stmt_type = STATUS; YYACCEPT; 
	    }
#line 2208 "gram.tab.c"
    break;

  case 79:
#line 492 "gram.y"
                                                {
		param.number = TIMER; param.pmid = HELP_USAGE;
		stmt_type = HELP; YYACCEPT;
	    }
#line 2217 "gram.tab.c"
    break;

  case 80:
#line 496 "gram.y"
                                                { 
		timer = 1; stmt_type = EOL; YYACCEPT; 
	    }
#line 2225 "gram.tab.c"
    break;

  case 81:
#line 499 "gram.y"
                                                { 
		timer = 0; stmt_type = EOL; YYACCEPT; 
	    }
#line 2233 "gram.tab.c"
    break;

  case 82:
#line 502 "gram.y"
                                                {
		param.number = GETDESC; param.pmid = HELP_USAGE;
		stmt_type = HELP; YYACCEPT;
	    }
#line 2242 "gram.tab.c"
    break;

  case 83:
#line 506 "gram.y"
                                                        { 
		get_desc = 1; stmt_type = EOL; YYACCEPT; 
	    }
#line 2250 "gram.tab.c"
    break;

  case 84:
#line 509 "gram.y"
                                                        { 
		get_desc = 0; stmt_type = EOL; YYACCEPT; 
	    }
#line 2258 "gram.tab.c"
    break;

  case 85:
#line 512 "gram.y"
                                                {
		param.number = GETINAME; param.pmid = HELP_USAGE;
		stmt_type = HELP; YYACCEPT;
	    }
#line 2267 "gram.tab.c"
    break;

  case 86:
#line 516 "gram.y"
                                                        { 
		get_iname = 1; stmt_type = EOL; YYACCEPT; 
	    }
#line 2275 "gram.tab.c"
    break;

  case 87:
#line 519 "gram.y"
                                                        { 
		get_iname = 0; stmt_type = EOL; YYACCEPT; 
	    }
#line 2283 "gram.tab.c"
    break;

  case 88:
#line 522 "gram.y"
                                                {
		param.number = WAIT; param.pmid = HELP_USAGE;
		stmt_type = HELP; YYACCEPT;
	    }
#line 2292 "gram.tab.c"
    break;

  case 89:
#line 526 "gram.y"
                                                { 
		stmt_type = EOL; sleep((yyvsp[-1].y_num)); YYACCEPT;
	    }
#line 2300 "gram.tab.c"
    break;

  case 90:
#line 529 "gram.y"
                                                { stmt_type = EOL; YYACCEPT; }
#line 2306 "gram.tab.c"
    break;

  case 91:
#line 530 "gram.y"
                                                {
		if (yywrap())
		    YYACCEPT;
		else {
		    yyerror("Unrecognized command");
		    YYERROR;
		}
	    }
#line 2319 "gram.tab.c"
    break;

  case 92:
#line 540 "gram.y"
                                                {
		    /* check for absolute path - *nix and Windows style */
		    if ((yyvsp[0].y_str)[0] == '/' ||
		        (strlen((yyvsp[0].y_str)) > 4 && (yyvsp[0].y_str)[1] == ':' && (yyvsp[0].y_str)[2] == '/'))
			(yyval.y_str) = (yyvsp[0].y_str);
		    else {
			/* relative path */
			(yyval.y_str) = strcons("./", (yyvsp[0].y_str));
			gc_add((yyval.y_str));
		    }
	    }
#line 2335 "gram.tab.c"
    break;

  case 93:
#line 551 "gram.y"
                                                { (yyval.y_str) = (yyvsp[0].y_str); }
#line 2341 "gram.tab.c"
    break;

  case 94:
#line 554 "gram.y"
                                                { (yyval.y_num) = (yyvsp[0].y_num); }
#line 2347 "gram.tab.c"
    break;

  case 95:
#line 555 "gram.y"
                                                { (yyval.y_num) = 0; }
#line 2353 "gram.tab.c"
    break;

  case 96:
#line 558 "gram.y"
                                                {
		sts = __pmAttrKeyStr_r((yyvsp[0].y_num), warnStr, sizeof(warnStr));
		if (sts <= 0) {
		    pmsprintf(warnStr, MYWARNSTRSZ, "Attribute (%d) is not recognised", (yyvsp[0].y_num));
		    yyerror(warnStr);
		    YYERROR;
		}
		(yyval.y_num) = (yyvsp[0].y_num);
	    }
#line 2367 "gram.tab.c"
    break;

  case 97:
#line 567 "gram.y"
                                                { 
		sts = __pmLookupAttrKey((yyvsp[0].y_str), strlen((yyvsp[0].y_str))+1);
		if (sts <= 0) {
		    pmsprintf(warnStr, MYWARNSTRSZ, "Attribute (%s) is not recognised", (yyvsp[0].y_str));
		    yyerror(warnStr);
		    YYERROR;
		}
		(yyval.y_num) = sts;
	    }
#line 2381 "gram.tab.c"
    break;

  case 98:
#line 578 "gram.y"
                                                { (yyval.y_num) = (yyvsp[0].y_num); }
#line 2387 "gram.tab.c"
    break;

  case 99:
#line 579 "gram.y"
                                                {
		struct servent *srv = getservbyname((yyvsp[0].y_str), NULL);
		if (srv == NULL) {
		    pmsprintf(warnStr, MYWARNSTRSZ, "Failed to map (%s) to a port number", (yyvsp[0].y_str));
		    yyerror(warnStr);
		    YYERROR;
		}
		pmsprintf(warnStr, MYWARNSTRSZ, "Mapped %s to port number %d", (yyvsp[0].y_str), srv->s_port);
		yywarn(warnStr);
		(yyval.y_num) = srv->s_port;
	    }
#line 2403 "gram.tab.c"
    break;

  case 100:
#line 592 "gram.y"
                                                { 
		pmid.whole = (yyvsp[0].y_num);
		sts = pmNameID(pmid.whole, &str);
		if (sts < 0) {
		    pmsprintf(warnStr, MYWARNSTRSZ, "PMID (%s) is not defined in the PMNS",
			    pmIDStr(pmid.whole));
		    yywarn(warnStr);
		}
		else
		    free(str);
		(yyval.y_num) = (int)pmid.whole; 
	    }
#line 2420 "gram.tab.c"
    break;

  case 101:
#line 604 "gram.y"
                                                {
		pmid.whole = 0;
		pmid.part.cluster = (yyvsp[0].y_2num).num1;
		pmid.part.item = (yyvsp[0].y_2num).num2;
		sts = pmNameID(pmid.whole, &str);
		if (sts < 0) {
		    pmsprintf(warnStr, MYWARNSTRSZ, "PMID (%s) is not defined in the PMNS",
			    pmIDStr(pmid.whole));
		    yywarn(warnStr);
		}
		else
		    free(str);
		(yyval.y_num) = (int)pmid.whole;
	    }
#line 2439 "gram.tab.c"
    break;

  case 102:
#line 618 "gram.y"
                                                {
		pmid.whole = 0;
		pmid.part.domain = (yyvsp[0].y_3num).num1;
		pmid.part.cluster = (yyvsp[0].y_3num).num2;
		pmid.part.item = (yyvsp[0].y_3num).num3;
		sts = pmNameID(pmid.whole, &str);
		if (sts < 0) {
		    pmsprintf(warnStr, MYWARNSTRSZ, "PMID (%s) is not defined in the PMNS",
			    pmIDStr(pmid.whole));
		    yywarn(warnStr);
		}
		else
		    free(str);
		(yyval.y_num) = (int)pmid.whole;
	    }
#line 2459 "gram.tab.c"
    break;

  case 103:
#line 633 "gram.y"
                                                {
		sts = pmLookupName(1, (const char **)&(yyvsp[0].y_str), &pmid.whole);
		if (sts < 0) {
		    yyerror(pmErrStr(sts));
		    YYERROR;
		}
		sts = fix_dynamic_pmid((yyvsp[0].y_str), &pmid.whole);
		if (sts < 0) {
		    yyerror(pmErrStr(sts));
		    YYERROR;
		}
		(yyval.y_num) = (int)pmid.whole;
	    }
#line 2477 "gram.tab.c"
    break;

  case 104:
#line 648 "gram.y"
                                                { 
		pmid.whole = (yyvsp[0].y_num);
	        (yyval.y_num) = (int)pmid.whole;
	    }
#line 2486 "gram.tab.c"
    break;

  case 105:
#line 652 "gram.y"
                                                {
		pmid.whole = 0;
		pmid.part.domain = (yyvsp[0].y_2num).num1;
		pmid.part.cluster = (yyvsp[0].y_2num).num2;
		(yyval.y_num) = (int)pmid.whole;
	    }
#line 2497 "gram.tab.c"
    break;

  case 106:
#line 660 "gram.y"
                                                { 
		indom.whole = (yyvsp[0].y_num);
	        (yyval.y_num) = (int)indom.whole;
	    }
#line 2506 "gram.tab.c"
    break;

  case 107:
#line 664 "gram.y"
                                                { 
		indom.whole = (yyvsp[0].y_num);
		(yyval.y_num) = (int)indom.whole;
	    }
#line 2515 "gram.tab.c"
    break;

  case 108:
#line 668 "gram.y"
                                                {
		indom.whole = 0;
		indom.part.domain = (yyvsp[0].y_2num).num1;
		indom.part.serial = (yyvsp[0].y_2num).num2;
		(yyval.y_num) = (int)indom.whole;
	    }
#line 2526 "gram.tab.c"
    break;

  case 109:
#line 676 "gram.y"
                                                {
		pmid.whole = 0;
		pmid.part.domain = (yyvsp[0].y_3num).num1;
		pmid.part.cluster = (yyvsp[0].y_3num).num2;
		pmid.part.item = (yyvsp[0].y_3num).num3;
		(yyval.y_num) = (int)pmid.whole;
	    }
#line 2538 "gram.tab.c"
    break;

  case 110:
#line 685 "gram.y"
                                                { addmetriclist((pmID)(yyvsp[0].y_num)); }
#line 2544 "gram.tab.c"
    break;

  case 111:
#line 686 "gram.y"
                                                { addmetriclist((pmID)(yyvsp[0].y_num)); }
#line 2550 "gram.tab.c"
    break;

  case 112:
#line 687 "gram.y"
                                                { addmetriclist((pmID)(yyvsp[0].y_num)); }
#line 2556 "gram.tab.c"
    break;

  case 113:
#line 691 "gram.y"
                                                { doargs(); }
#line 2562 "gram.tab.c"
    break;

  case 114:
#line 694 "gram.y"
                                                { (yyval.y_str) = (yyvsp[0].y_str); }
#line 2568 "gram.tab.c"
    break;

  case 115:
#line 695 "gram.y"
                                                { (yyval.y_str) = (yyvsp[0].y_str); }
#line 2574 "gram.tab.c"
    break;

  case 116:
#line 698 "gram.y"
                                        {
			char	nbuf[12];
			pmsprintf(nbuf, sizeof(nbuf), "%d", (yyvsp[0].y_num));
			sts = pmSetDebug(nbuf);
			if (sts < 0) {
			    pmsprintf(warnStr, MYWARNSTRSZ, "Bad debug flag (%s)", nbuf);
			    yyerror(warnStr);
			    YYERROR;
			}
			(yyval.y_num) = 0;
		    }
#line 2590 "gram.tab.c"
    break;

  case 117:
#line 709 "gram.y"
                                                {
			if ((yyvsp[0].y_str)[0] == '-')
			    sts = pmClearDebug(&(yyvsp[0].y_str)[1]);
			else
			    sts = pmSetDebug((yyvsp[0].y_str));
			if (sts < 0) {
			    pmsprintf(warnStr, MYWARNSTRSZ, "Bad debug flag (%s)", (yyvsp[0].y_str));
			    yyerror(warnStr);
			    YYERROR;
			}
			(yyval.y_num) = 0;
		    }
#line 2607 "gram.tab.c"
    break;

  case 118:
#line 721 "gram.y"
                                                {
			char	nbuf[12];
			pmsprintf(nbuf, sizeof(nbuf), "%d", (yyvsp[0].y_num));
			sts = pmSetDebug(nbuf);
			if (sts < 0) {
			    pmsprintf(warnStr, MYWARNSTRSZ, "Bad debug flag (%s)", nbuf);
			    yyerror(warnStr);
			    YYERROR;
			}
			(yyval.y_num) = 0;
		    }
#line 2623 "gram.tab.c"
    break;

  case 119:
#line 732 "gram.y"
                                                        {
			char	nbuf[12];
			pmsprintf(nbuf, sizeof(nbuf), "%d", (yyvsp[0].y_num));
			sts = pmSetDebug(nbuf);
			if (sts < 0) {
			    pmsprintf(warnStr, MYWARNSTRSZ, "Bad debug flag (%s)", nbuf);
			    yyerror(warnStr);
			    YYERROR;
			}
			(yyval.y_num) = 0;
		    }
#line 2639 "gram.tab.c"
    break;

  case 120:
#line 743 "gram.y"
                                                        {
			if ((yyvsp[0].y_str)[0] == '-')
			    sts = pmClearDebug(&(yyvsp[0].y_str)[1]);
			else
			    sts = pmSetDebug((yyvsp[0].y_str));
			if (sts < 0) {
			    pmsprintf(warnStr, MYWARNSTRSZ, "Bad debug flag (%s)", (yyvsp[0].y_str));
			    yyerror(warnStr);
			    YYERROR;
			}
			(yyval.y_num) = 0;
		    }
#line 2656 "gram.tab.c"
    break;

  case 121:
#line 755 "gram.y"
                                                                {
			if ((yyvsp[0].y_str)[0] == '-')
			    sts = pmClearDebug(&(yyvsp[0].y_str)[1]);
			else
			    sts = pmSetDebug((yyvsp[0].y_str));
			if (sts < 0) {
			    pmsprintf(warnStr, MYWARNSTRSZ, "Bad debug flag (%s)", (yyvsp[0].y_str));
			    yyerror(warnStr);
			    YYERROR;
			}
			(yyval.y_num) = 0;
		    }
#line 2673 "gram.tab.c"
    break;

  case 122:
#line 774 "gram.y"
                        { (yyval.y_str) = (yyvsp[0].y_str); }
#line 2679 "gram.tab.c"
    break;

  case 123:
#line 775 "gram.y"
                        { (yyval.y_str) = (yyvsp[0].y_str); }
#line 2685 "gram.tab.c"
    break;

  case 124:
#line 776 "gram.y"
                        { (yyval.y_str) = strdup("fetch"); gc_add((yyval.y_str)); }
#line 2691 "gram.tab.c"
    break;

  case 125:
#line 777 "gram.y"
                        { (yyval.y_str) = strdup("profile"); gc_add((yyval.y_str)); }
#line 2697 "gram.tab.c"
    break;

  case 126:
#line 778 "gram.y"
                        { (yyval.y_str) = strdup("context"); gc_add((yyval.y_str)); }
#line 2703 "gram.tab.c"
    break;

  case 127:
#line 779 "gram.y"
                        { (yyval.y_str) = strdup("indom"); gc_add((yyval.y_str)); }
#line 2709 "gram.tab.c"
    break;

  case 128:
#line 780 "gram.y"
                        { (yyval.y_str) = strdup("attr"); gc_add((yyval.y_str)); }
#line 2715 "gram.tab.c"
    break;


#line 2719 "gram.tab.c"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      yyerror (YY_("syntax error"));
    }

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;


#if !defined yyoverflow
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif


/*-----------------------------------------------------.
| yyreturn -- parsing is finished, return the result.  |
`-----------------------------------------------------*/
yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif

  return yyresult;
}

#line 783 "gram.y"

